GCLOUD_DNS_RECORD-SETS(1)

NAME

gcloud dns record-sets - manage the record-sets within your managed-zones

SYNOPSIS

gcloud dns record-sets GROUP | COMMAND [GLOBAL-FLAG ...]

DESCRIPTION
Manage the record-sets within your managed-zones.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

GROUPS
GROUP is one of the following: changes
    View details about changes to your Cloud DNS record-sets.
transaction
    Make scriptable and transactional changes to your record-sets.

COMMANDS
COMMAND is one of the following: export
    Export your record-sets into a file.
import
    Import record-sets into your managed-zone.
list
    View the list of record-sets in a managed-zone.

EXAMPLES
To import record-sets from a BIND zone file, run:
    $ gcloud dns record-sets -z MANAGED_ZONE import \
        --zone-file-format ZONE_FILE
To export record-sets in yaml format, run:
    $ gcloud dns record-sets -z MANAGED_ZONE export
To see how to make scriptable changes to your record-sets through transactions, run:
    $ gcloud dns record-sets -z MANAGED_ZONE transaction
To see change details or list of all changes, run:
    $ gcloud dns record-sets -z MANAGED_ZONE changes
To see the list of all record-sets, run:
    $ gcloud dns record-sets -z MANAGED_ZONE list